import path from 'path';
import fs from 'fs';
import tap, {test} from 'tap';
import expect from 'expect';
import createJarbConfig from '../../lib/scripts/createFileSystem/copyJarbConfig';

const mock = require('mock-fs');

mock({
  tmp: {
  },
  [path.join(process.cwd(), 'lib/statics/')] : {
    'jarb.config.json' : '{"env" :"bar"}'
  }
});



test('Tests that jarb.config.json is created correctly', (t) => {
  t.test('Copies jarb.config.json from lib/statics/jarb.config.json', (t) => {
    let dir = path.resolve(process.cwd());

    createJarbConfig(dir);
    let contents = JSON.parse(fs.readFileSync(path.resolve(dir, 'jarb.config.json'), 'utf-8'));

    expect(contents.env).toBeDefined();
    t.end();
  });

  mock.restore();
  t.end();
});