let createJest = require('../lib/scripts/createFileSystem/createJest');
let copyStaticRootFiles = require('../lib/scripts/createFileSystem/copyStaticRootFiles');
let copyGitIgnore = require('../lib/scripts/createFileSystem/copyGitIgnore');
let createTestsDir = require('../lib/scripts/createFileSystem/createTestsDir');
let createSrc = require('../lib/scripts/createFileSystem/createSrc');
let createTutorialsDir = require('../lib/scripts/createFileSystem/createTutorialsDir');
let enrichPackageJson = require('../lib/scripts/createFileSystem/enrichPackageJson');
let copyReadMe = require('../lib/scripts/createFileSystem/copyReadMe');
let copyJsdocConfig = require('../lib/scripts/createFileSystem/copyJsdocConfig');
let createJarbConfig = require('../lib/scripts/createFileSystem/copyJarbConfig');
let createTsConfig = require('../lib/scripts/createFileSystem/copyTsConfig');

let jarbConfig = require('../lib/scripts/util/config');


function installDependencies() {
  let execSync = require('child_process').execSync;
  // enrichPackageJson actually adds these dependencies.
  // this just installs them
  execSync('npm install --no-save react react-dom core-js', {stdio: [0, 1, 2]});
}

createJest(process.cwd());
copyStaticRootFiles(process.cwd());
copyGitIgnore(process.cwd());
createTestsDir(process.cwd());
createTutorialsDir(process.cwd());
createSrc(process.cwd());
enrichPackageJson(process.cwd());
copyReadMe(process.cwd());
copyJsdocConfig(process.cwd());
createJarbConfig(process.cwd());

if (jarbConfig.lang === 'ts') {
  createTsConfig(process.cwd());
}
installDependencies();


