#!/usr/bin/env node
let cliFlags = require('minimist')(process.argv.slice(2));
let command = cliFlags._[0];

if (['release', 'init', 'help', 'build', 'devServer', 'test', 'analyze'].indexOf(command) === -1) {
  console.log('JARB: invalid command!, please select one of... [\'init\',\'analyze\', \'help\', \'build\', \'devServer\', \'test\', \'analyze\']');
}

// example jarb --mode=production
// if nothing specified, fallback to production
if (!cliFlags.mode) {
  cliFlags.mode = 'production';
}

if (command === 'init') {
  require('./init');
}

if (command === 'build') {
  if (cliFlags.mode === 'production') {
    process.env.REACT_WEBPACK_ENV = 'production';
    process.env.NODE_ENV = 'production';
  } else if (cliFlags.mode === 'staging') {
    process.env.NODE_ENV = 'staging';
  } else {
    process.env.NODE_ENV = 'development';
  }
  require('./build');
}

if (command === 'devServer') {
  process.env.NODE_ENV = 'development';
  process.env.REACT_WEBPACK_ENV = 'development';
  require('./devServer');
}

if (command === 'test') {
  require('./test');
}

if (command === 'release') {
  require('./release');
}

if (command === 'analyze') {
  process.env.NODE_ENV = 'production';
  require('./analyze');
}