const fs = require('fs');
const path = require('path');
const jarbConfigPath = path.join(process.cwd(), 'jarb.config.json');

function parseJsonConfig(mode) {
  try {
    let allModes = JSON.parse(fs.readFileSync(jarbConfigPath, 'utf-8'));
    let modeSpecificConfig = allModes.env[mode] || {}; // get specific env (mode) from the json;

    modeSpecificConfig.lang = allModes.lang || 'js';

    return modeSpecificConfig;
  } catch (e) {
    // do nothing
    return {
      lang: 'js'
    };
  }
}

module.exports = parseJsonConfig;

